%global momorel 3
%global kdever 4.4.4
%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global src_name discburner
%global src_ver a12
%global prever 2

Name:           kde-plasma-discburner
Version:        0.0
Release:        %{?prever:0.%{prever}.}%{momorel}m%{?dist}
Summary:        DiscBurner Widget
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/discburner?content=122179
Source0:        http://dl.sourceforge.net/project/%{src_name}/%{src_name}-%{src_ver}.tar.bz2
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake
BuildRequires:  qt-devel
BuildRequires:  kdelibs-devel
BuildRequires:  mpg321
BuildRequires:  lame-devel
BuildRequires:  flac-devel
BuildRequires:  taglib-devel
BuildRequires:  cdrdao
BuildRequires:  wodim

%description
it burns flipn discs. isos, audio, data, etc. first alpha. there is a lot left to do. help??

this is just a frontend to various burning/conversion/encoding softwares.
(lame, wodim, sox, cdda2wav/mp3/ogg, icedax, cdrdao, ffmpeg, etc, etc)

%prep
%setup -q -n %{src_name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO
%{_kde4_libdir}/kde4/plasma_applet_discburner.so
%{_kde4_datadir}/kde4/services/plasma-applet-discburner.desktop
%{_kde4_appsdir}/desktoptheme/default/discburner

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0-0.2.3m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0-0.2.2m)
- rebuild against qt-4.6.3-1m

* Thu Apr  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0-0.2.1m)
- update to discburner-a12

* Thu Jan 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0-0.1.1m)
- initial build for Momonga Linux
